import { z } from "zod";

export const schema = z.object({
    _id: z.string(),
    uuid: z.string(),
    iban: z.string(),
    startDate: z.string(),
    stopDate: z.string(),
    bankCode: z.string(),
    xcomment: z.string(),
    expiryStarts: z.string().optional(),
    expiryEnds: z.string().optional(),
    createdAt: z.string(),
    updatedAt: z.string(),
});

export type schemaType = z.infer<typeof schema>;
